Package org.apache.velocity.runtime.parser.node

# Class BooleanPropertyExecutor

java.lang.Object
org.apache.velocity.runtime.parser.node.AbstractExecutor
org.apache.velocity.runtime.parser.node.PropertyExecutor
org.apache.velocity.runtime.parser.node.BooleanPropertyExecutor

public class BooleanPropertyExecutor extends PropertyExecutor
Handles discovery and valuation of a boolean object property, of the form public boolean is<property> when executed. We do this separately as to preserve the current quasi-broken semantics of get<as is property> get<flip 1st char> get("property") and now followed by is<Property>

Version:
  $Id$
Author:
  Geir Magnusson Jr.

## Field Summary

### Fields inherited from class org.apache.velocity.runtime.parser.node.AbstractExecutor

`log`

## Constructor Summary

Constructors
Constructor
Description
`BooleanPropertyExecutor(org.slf4j.Logger log, Introspector introspector, Class<?> clazz, String property)`
`BooleanPropertyExecutor(org.slf4j.Logger log, Introspector introspector, Class<?> clazz, String property, boolean wrapArray)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`discover(Class<?> clazz, String property)`

### Methods inherited from class org.apache.velocity.runtime.parser.node.PropertyExecutor

`execute, getIntrospector`

### Methods inherited from class org.apache.velocity.runtime.parser.node.AbstractExecutor

`getMethod, isAlive, setMethod`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BooleanPropertyExecutor

public BooleanPropertyExecutor(org.slf4j.Logger log, Introspector introspector, Class<?> clazz, String property)

Parameters:
  `log` -
  `introspector` -
  `clazz` -
  `property` -
Since:
  1.5

### BooleanPropertyExecutor

public BooleanPropertyExecutor(org.slf4j.Logger log, Introspector introspector, Class<?> clazz, String property, boolean wrapArray)

Parameters:
  `log` -
  `introspector` -
  `clazz` -
  `property` -
  `wrapArray` -
Since:
  1.5

## Method Details

### discover

protected void discover(Class<?> clazz, String property)

Overrides:
  `discover` in class `PropertyExecutor`
Parameters:
  `clazz` -
  `property` -